Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_LSOCK_Stream Class Reference

Create a Local ACE_SOCK stream. More...

`#include <LSOCK_Stream.h>`

Inheritance diagram for ACE_LSOCK_Stream:

[legend]
Collaboration diagram for ACE_LSOCK_Stream:

[legend]
List of all members.

## Public Types
typedef ACE_UNIX_Addr | PEER_ADDR
## Public Methods
ssize_t | send_msg (const iovec iov[], size_t n, ACE_HANDLE handle)
| Send iovecs via <writev>.
ssize_t | recv_msg (iovec iov[], size_t n, ACE_HANDLE &handle)
| Send iovecs via <writev>.
ACE_HANDLE | get_handle (void) const
| Get handle.
void | set_handle (ACE_HANDLE fd)
| Overrides set_handle from the base classes.
void | dump (void) const
| Dump the state of an object.
int | get_local_addr (ACE_Addr &) const
| This method simply returns the "local" addr.
int | get_remote_addr (ACE_Addr &) const
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Create a Local ACE_SOCK stream.

## Member Typedef Documentation

typedef ACE_UNIX_Addr ACE_LSOCK_Stream::PEER_ADDR

| Reimplemented from ACE_SOCK_Stream.

## Member Function Documentation

void ACE_LSOCK_Stream::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_LSOCK.

ASYS_INLINE ACE_HANDLE ACE_LSOCK_Stream::get_handle | ( | void |  | ) | const

| Get handle. Reimplemented from ACE_LSOCK.

int ACE_LSOCK_Stream::get_local_addr | ( | ACE_Addr & |  | ) | const

| This method simply returns the "local" addr. Reimplemented from ACE_SOCK.

int ACE_LSOCK_Stream::get_remote_addr | ( | ACE_Addr & |  | ) | const

| This method returns the "local" addr since it's the same value for UNIX domain sockets. Reimplemented from ACE_SOCK.

ssize_t ACE_LSOCK_Stream::recv_msg | ( | iovec | iov[],
|  | size_t | n,
|  | ACE_HANDLE & | handle
| ) |

| Send iovecs via <writev>.

ssize_t ACE_LSOCK_Stream::send_msg | ( | const iovec | iov[],
|  | size_t | n,
|  | ACE_HANDLE | handle
| ) |

| Send iovecs via <writev>.

ASYS_INLINE void ACE_LSOCK_Stream::set_handle | ( | ACE_HANDLE | fd | ) |

| Overrides set_handle from the base classes. Reimplemented from ACE_LSOCK.

## Member Data Documentation

ACE_LSOCK_Stream::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_LSOCK.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/LSOCK_Stream.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/LSOCK_Stream.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/LSOCK_Stream.i